• About Me
  • Java基礎教學

[安裝教學]使用Eclipse開發Android程式

分類: android, eclipse, j2me, Java, 教學 時間:2009/6/15 瀏覽:152,567 瀏覽數 — 22 回應

之前有介過過一篇使用

[安裝教學]使用Eclipse開發mobile程式

不過如果要開發Google 的android有更好的方法,Android本身的SDK是由Google再重新編釋的,

所以跟原本Sun的J2ME可能有部份不太一樣,所以如果硬要用J2ME來開發Android程式可能會有點難度,

不過貼心的Google把事件變簡單的,提供了Android的開發介面及SDK讓使用者下載使用及開發。

ps.Google Android官網

方法如下:

1.首先需要準備Java環境,安裝j2se或j2ee(給Eclipse用的環境)

可以到Sun官方網站下載

http://java.sun.com/javase/downloads/index.jsp

下載後直接安裝,基本上無難度,請自行安裝。

2.再來是Eclipse

可以到Eclipse 官方網站下載

http://www.eclipse.org/downloads/

選擇Eclipse IDE for Java Developers應該就夠用了,如果有需求開發j2ee的話,像是jsp等,也可以選Eclipse IDE for Java EE Developers ,會比較方便一點。

Eclipse下載回來後,解壓縮到你想放至的路徑則可,

安裝方法及使用方法可以參考

[教學]把第一次給Eclipse

3.安裝ADT –Eclipse plugin

方法如下圖

Help->Software Updates



未命名

選擇Avaiable Software-> Add Site –> Location 填入 http://dl-ssl.google.com/android/eclipse/site.xml

1

可以看到多了一個ADT的內容,選最上面的節點,按Install

2

等一下後可以看到以下畫面,全都打勾選Next

3

觀看Licenses,選擇I Accept the terms of the license agreements

4

再來就可以看到開始安裝了

5

好了後會問你要不要重開Eclipse,建議重開

6

以上,如果無法連線成功的話,還可以直接下載ADT整個內容覆蓋到Eclipse目錄

http://developer.android.com/sdk/adt_download.html

重開後會有二個提示,

第一個是需要設定Android的SDK

第二個是Thanks for using the Android SDK!

7

8

4.設定Android環境

首先先下載Android SDK ,載回來後解壓縮到一個目錄

然後Eclipse 在Windows –> Preferences 選擇Android 然後按Browser 選擇剛才解壓縮的SDK目錄

9

等一下會出現所有的SDK Target,選一個然後選OK或是Apply

10

5.完成

再來就可以從File –> New 找到Android Project 開始開發啦

11




22 回應 to “[安裝教學]使用Eclipse開發Android程式”

PingBack List:

  1. [Android]使用DDMS ScreetShot | 聰明的生活2
  2. [教學]Android的第一個程式
  3. Eclipse 整合 Android 開發 | 走不到的世界線 — 集中火力
  1. 1
    nosrevi

    感謝阿
    這個很實用!

    [回應]

  2. 2

    謝謝!

    [回應]

  3. 3

    果然高手寫的就是不一樣XD

    [回應]

    yku Replay:

    @@我也只是依我安裝的方式寫上來而已@@

    [回應]

  4. 4
    Ben

    不知道為何在SUN官網載不下來J2EE,致使我開不起來Eclipse
    是IE的問題嗎?
    有沒有其他大大遇到此類問題呢?

    [回應]

    yku Replay:

    Eclipse跟IE沒有關系
    請問你有發生什麼狀況或錯訊訊息嘛...
    你的環境是?

    [回應]

  5. 5
    Ben

    Windows XP
    是指這個環境嗎?
    抱歉,因為我還正在開始接觸Android,所以問題多了點

    我後來在給他掛了一天後有跑出來setup,我是載Java EE 5 SDK
    這個對嗎?
    因為我是想要從您網頁教學中RUN一遍,瞭解他的流程是怎麼跑的
    如有麻煩您,還請您指教了

    [回應]

  6. 6
    Ben

    抱歉,我後來搞懂了為何我不能使用Eclipse這個程式了
    但是我現在卡在update software中add site,
    http://dl-ssl.google.com/android/eclipse/site.xml->ok
    好像掛掉了不能連耶?!

    真的很感謝您的回答^^"讓我能夠在學習Android這條路上可以循序漸進

    [回應]

    yku Replay:

    有新的安裝方式,這二天再post上來

    [回應]

    khanview Replay:

    @yku,

    ADT suffix 的問題:

    在location輸入了http:dl-ssl.google.com/android/eclipse/site.xml
    eclipse卻說找不到http:dl-ssl.google.com/android/eclipse/site.xml/content.xml

    找到setting有以下一句, 估計是suffix問題, 卻找不到那里可改?
    /profile/file\:\\2fC\:\\2fandroid-sdk\\2feclipse\\2fconfiguration\\2f..\\2fp2\\2f/_SELF_/org.eclipse.equinox.p2.metadata.repository/repositories/file\:_C\:_android-sdk_eclipse_configuration_org.eclipse.osgi_bundles_84_data_listener_1925729951/suffix=content.xml

    [回應]

  7. 7
    mocwwc

    我將 Android SDK 下載並解壓至 C:\android-sdk-windows,
    再將SDK目錄指向C:\android-sdk-windows時,
    為什麼沒有出現任何 SDK Target?

    麻煩指教一下, 謝謝!

    [回應]

    yku Replay:

    新版本的使用方法好像有點不一樣...我這幾天再把新的安裝方式post上

    [回應]

  8. 8
    小狼

    不好意思,我想問要怎麼運行peersim的內建例子阿?
    都是.java檔
    我毫無頭緒 orz
    不曉得可否提點小弟一下

    [回應]

    yku Replay:

    我倒沒玩過perrsim,不過如果你想在eclipse使用它的話
    你可以先建立一個java專案,建立時選擇來源是peesim解壓縮後目錄裡的路徑
    就可以了,記得環境不能為1.4,因為不支援泛型

    [回應]

  9. 9
    edison

    我的問題與mocwwc一樣!!

    我將 Android SDK 下載並解壓至 C:\android-sdk-windows,
    再將SDK目錄指向C:\android-sdk-windows時,
    為什麼沒有出現任何 SDK Target?

    謝謝!

    [回應]

    yku Replay:

    你可以查看這一篇
    因為需要把sdk再update下來才可以^^
    http://blog.yslifes.com/archives/566

    [回應]

  10. 10
    riceooks

    如果Eclipse開不起來
    可以在 我的電腦(內容) -> 環境變數 中的Path 編輯 中增加 javaw的路徑
    例如 C:\glassfishv3\jdk\bin

    [回應]

  11. 11
    ming

    請問 為什ㄇ我輸入完http://dl-ssl.google.com/android/eclipse/site.xml
    按下install 卻出現
    Cannot complete the request. See the details.
    Unsatisfied dependency: [com.android.ide.eclipse.ddms.feature.group 12.0.0.v201106281929-138431] requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.core.runtime/3.5.0
    Unsatisfied dependency: [com.android.ide.eclipse.traceview.feature.group 12.0.0.v201106281929-138431] requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.core.runtime/3.5.0
    Unsatisfied dependency: [com.android.ide.eclipse.hierarchyviewer.feature.group 12.0.0.v201106281929-138431] requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.core.runtime/3.5.0
    Unsatisfied dependency: [com.android.ide.eclipse.adt.feature.group 12.0.0.v201106281929-138431] requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.core.runtime/3.5.0
    Unsatisfied dependency: [com.android.
    就無法繼續安裝了

    [回應]

    yku Replay:

    好像是Eclipse的版本不對...
    請問您的Eclipse及jdk是多少呢?

    [回應]

留下您想說的話:

*

无觅相关文章插件,快速提升流量